image: java:8-jdk

stages:
  - build
  - dokka
  - deploy

gradle:
  stage: build
  script:
    - chmod +x gradlew
    - ./gradlew build -i

javadoc:
  stage: dokka
  script:
    - chmod +x gradlew
    - ./gradlew dokka -i
  artifacts:
    paths:
      - public

pages:
  stage: deploy
  script:
     - echo deploy
     - cp -R public/leadium-ui-appian/. public/
     - for line in $(find ./public -name '*.html'); do sed -i 's/..\/style.css/style.css/g' ${line##* .}; done
  artifacts:
    paths:
      - public
  only:
    - master

